#ifdef SENDSTATS
void sendstats(int i) {

  char buf[256];
  int g;
  int tptime;

  snprintf(buf, sizeof(buf), "---------------------Anti-Web Stats------------------------------------------\n");
  senddata(infd[i], buf);

  snprintf(buf, sizeof(buf), "AW V%s (%s)\n", VERSION, COOLQUOTE);
  senddata(infd[i], buf);

  snprintf(buf, sizeof(buf), "Port: %d    UID: %d    PID: %d\n\n", cnfport, getuid(), getpid());
  senddata(infd[i], buf);

  tptime = time(NULL) - starttime;
  snprintf(buf, sizeof(buf), "Uptime: %d days, %d hours, %d minutes\n", tptime/86400, (tptime/3600)%24, (tptime/60)%60);
  senddata(infd[i], buf);

  snprintf(buf, sizeof(buf), "GET Requests:  %d\nHEAD Requests: %d\n\n", numofgetreqs, numofheadreqs);
  senddata(infd[i], buf);

  snprintf(buf, sizeof(buf), "%d user(s) online, using %.2f KBps\n\n", numofusers, (float)bps/1024.0);
  senddata(infd[i], buf);

  for(g=0;g<=MAXUSERS-1;g++) {
    if (infd[g]!=-1 && charsread[g]>0) {
      snprintf(buf, sizeof(buf), "%s -> %s\n", ipaddrs[g], getreqs[g]);
      senddata(infd[i], buf);
    }
  }

  snprintf(buf, sizeof(buf), "---------------------Anti-Web Stats------------------------------------------\n");
  senddata(infd[i], buf);

}
#endif
