/*
This code is Copyright (C) 2001 By Zas ( zas at norz.org )
The software is distributed under the terms of the GNU General Public
License. See the file 'LICENSE' for more details.
*/

/* I might've modified this slightly. -Fractal */

#ifdef URLDECODE
static int hexit( char c )
{
    if ( c >= '0' && c <= '9' )
        return c - '0';
    if ( c >= 'a' && c <= 'f' )
        return c - 'a' + 10;
    if ( c >= 'A' && c <= 'F' )
        return c - 'A' + 10;
    return 0;
}

/* Decode string %xx -> char on itself */
void urldecode(char *buf)
{
        int v;
        register char *p=buf;
        register char *s,*w;
        if (p) {
                w=p;
                while (*p) {
                        v=0;
                        if (*p=='%') {
                                s=p;
                                s++;
                                if (isxdigit((int) s[0]) && isxdigit((int) s[1]) ) {
                                        v=hexit(s[0])*16+hexit(s[1]);
                                        if (v) { /* do not decode %00 to null char */
                                                *w=(char)v;
                                                p=&s[1];
                                        }
                                }
                        }
                        if (!v) *w=*p;
                        p++; w++;
                }
                *w='\0';
        }
}

#endif
